| Home | Libraries | People | FAQ | More

## Function template copy_if

boost::compute::copy_if

## Synopsis

    // In header: <boost/compute/algorithm/copy_if.hpp>

    template<typename InputIterator, typename OutputIterator, typename Predicate>
      OutputIterator
      copy_if(InputIterator first, InputIterator last, OutputIterator result,
              Predicate predicate,
              command_queue & queue = system::default_queue());

## Description

Copies each element in the range [`first`, `last`) for which `predicate` returns `true` to the range beginning at `result`.